package com.microservices.pms.product.domain.vo;

import com.microservices.pms.product.domain.enums.ProductReqStatus;
import lombok.Data;

/**
 * @author OTTO
 */
@Data
public class ReqStatusCommonVo extends EnumCommonVo {
    private String color;

    public ReqStatusCommonVo(ProductReqStatus status) {
        super.key = status.getKey();
        super.name = status.getName();
        this.color = status.getColor();
    }
}
